V8.0
get
/ec-designer-svc/rest/v8.0/studies/{studyId}/studyDesign
Retrieves all the visits, forms and questionnaires in a study ID in one or more study versions and by mode.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
dynamicData: boolean
Return details when call made by service to service Optional.Default Value:
trueExample:true -
mode: string
Study mode filter. Allowed values: design (draft design data), test (testing data), training (training data), active (approved production data), all (all modes). Optional.Default Value:
testAllowed Values:[ "test", "active" ]Example:test
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
stringExamples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}